#
# spec file for package spdylay
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define c_lib   libspdylay7
Name:           spdylay
Version:        1.3.2
Release:        3.1
Summary:        SPDY C Library
License:        MIT
Group:          System/Libraries
Url:            https://tatsuhiro-t.github.io/spdylay/
Source:         https://github.com/tatsuhiro-t/spdylay/releases/download/v%{version}/spdylay-%{version}.tar.xz
BuildRequires:  cunit-devel
BuildRequires:  gcc-c++
BuildRequires:  libevent-devel >= 2.0.8
BuildRequires:  libjansson-devel >= 2.5
BuildRequires:  libxml2-devel >= 2.7.7
BuildRequires:  openssl-devel >= 1.0.1
BuildRequires:  pkg-config
BuildRequires:  python3-Cython
BuildRequires:  python3-devel >= 3
BuildRequires:  zlib-devel >= 1.2.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is an experimental implementation of Google’s SPDY protocol in C. This
library provides SPDY version 2, 3 and 3.1 framing layer implementation. It
does not perform any I/O operations. When the library needs them, it calls the
callback functions provided by the application. It also does not include any
event polling mechanism, so the application can freely choose the way of
handling events. This library code does not depend on any particular SSL
library (except for example programs which depend on OpenSSL 1.0.1 or later).

%package -n %{c_lib}
Summary:        SPDY C Library - Shared C library
Group:          System/Libraries

%description -n %{c_lib}
This is an experimental implementation of Google’s SPDY protocol in C. This
library provides SPDY version 2, 3 and 3.1 framing layer implementation. It
does not perform any I/O operations. When the library needs them, it calls the
callback functions provided by the application. It also does not include any
event polling mechanism, so the application can freely choose the way of
handling events. This library code does not depend on any particular SSL
library (except for example programs which depend on OpenSSL 1.0.1 or later).

This package holds the shared C library.

%package devel
Summary:        SPDY C Library - Development Files
Group:          Development/Libraries/C and C++
Requires:       %{c_lib} = %{version}

%description devel
This is an experimental implementation of Google’s SPDY protocol in C. This
library provides SPDY version 2, 3 and 3.1 framing layer implementation. It
does not perform any I/O operations. When the library needs them, it calls the
callback functions provided by the application. It also does not include any
event polling mechanism, so the application can freely choose the way of
handling events. This library code does not depend on any particular SSL
library (except for example programs which depend on OpenSSL 1.0.1 or later).

This package holds the development files.

%prep
%setup -q

%build
%configure \
  --docdir=%{_docdir}%{name} \
  --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
cp -av AUTHORS COPYING ChangeLog NEWS  doc/*.rst proxy.pac.sample shrpx.conf.sample %{buildroot}%{_docdir}%{name}
find %{buildroot} -type f -name "*.la" -delete -print

%check
# testsuite fails in obs
# make check  %{?_smp_mflags}

%post -n %{c_lib} -p /sbin/ldconfig

%postun -n %{c_lib} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_docdir}%{name}
%{_bindir}/shrpx
%{_bindir}/spdycat
%{_bindir}/spdyd

%files -n %{c_lib}
%defattr(-,root,root)
%{_libdir}/libspdylay.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/spdylay/
%{_libdir}/libspdylay.so
%{_libdir}/pkgconfig/libspdylay.pc

%changelog
* Sat Oct 17 2015 mpluskal@suse.com
- Small spec file polishing
* Mon Apr 20 2015 mrueckert@suse.de
- remove initial provides
* Fri Apr  3 2015 mrueckert@suse.de
- initial package
